package com.ruoyi.change.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.change.mapper.TbAssetLendMapper;
import com.ruoyi.change.domain.TbAssetLend;
import com.ruoyi.change.service.ITbAssetLendService;

/**
 * 资产借出Service业务层处理
 * 
 * @author 原动力
 * @date 2023-05-15
 */
@Service
public class TbAssetLendServiceImpl implements ITbAssetLendService 
{
    @Autowired
    private TbAssetLendMapper tbAssetLendMapper;

    /**
     * 查询资产借出
     * 
     * @param id 资产借出主键
     * @return 资产借出
     */
    @Override
    public TbAssetLend selectTbAssetLendById(Long id)
    {
        return tbAssetLendMapper.selectTbAssetLendById(id);
    }

    /**
     * 查询资产借出列表
     * 
     * @param tbAssetLend 资产借出
     * @return 资产借出
     */
    @Override
    public List<TbAssetLend> selectTbAssetLendList(TbAssetLend tbAssetLend)
    {
        return tbAssetLendMapper.selectTbAssetLendList(tbAssetLend);
    }

    /**
     * 新增资产借出
     * 
     * @param tbAssetLend 资产借出
     * @return 结果
     */
    @Override
    public int insertTbAssetLend(TbAssetLend tbAssetLend)
    {
        return tbAssetLendMapper.insertTbAssetLend(tbAssetLend);
    }

    /**
     * 修改资产借出
     * 
     * @param tbAssetLend 资产借出
     * @return 结果
     */
    @Override
    public int updateTbAssetLend(TbAssetLend tbAssetLend)
    {
        return tbAssetLendMapper.updateTbAssetLend(tbAssetLend);
    }

    /**
     * 批量删除资产借出
     * 
     * @param ids 需要删除的资产借出主键
     * @return 结果
     */
    @Override
    public int deleteTbAssetLendByIds(Long[] ids)
    {
        return tbAssetLendMapper.deleteTbAssetLendByIds(ids);
    }

    /**
     * 删除资产借出信息
     * 
     * @param id 资产借出主键
     * @return 结果
     */
    @Override
    public int deleteTbAssetLendById(Long id)
    {
        return tbAssetLendMapper.deleteTbAssetLendById(id);
    }
}
